libzypp: zyppng::ProvideMediaSpec Class Reference

libzypp 17.38.11

zyppng::ProvideMediaSpec Class Reference

`#include <zypp-media/ng/providespec.h>`

## Classes
class | Impl

## Public Member Functions
| ProvideMediaSpec (std::string label="", zypp::Pathname verifyData=zypp::Pathname(), unsigned medianr=1)
const std::string & | label () const
ProvideMediaSpec & | setLabel (const std::string &label)
unsigned | medianr () const
ProvideMediaSpec & | setMedianr (unsigned medianr)
zypp::Pathname | mediaFile () const
ProvideMediaSpec & | setMediaFile (const zypp::Pathname &pName)
HeaderValueMap & | customHeaders ()
const HeaderValueMap & | customHeaders () const
ProvideMediaSpec & | setCustomHeaderValue (const std::string &key, const HeaderValueMap::Value &val)
ProvideMediaSpec & | addCustomHeaderValue (const std::string &key, const HeaderValueMap::Value &val)
zypp::TriBool | isSameMedium (const ProvideMediaSpec &other) const

## Static Public Member Functions
static bool | isSameMedium (const zypp::MirroredOrigin &originA, const ProvideMediaSpec &specA, const zypp::MirroredOrigin &originB, const ProvideMediaSpec &specB)

## Private Attributes
zypp::RWCOW_pointer< Impl > | _pimpl
| Implementation class.

## Detailed Description

Definition at line 29 of file providespec.h.

## Constructor & Destructor Documentation

## ◆ ProvideMediaSpec()

zyppng::ProvideMediaSpec::ProvideMediaSpec | ( | std::string | label = "",
|  | zypp::Pathname | verifyData = zypp::Pathname(),
|  | unsigned | medianr = 1 )

Definition at line 95 of file providespec.cc.

## Member Function Documentation

## ◆ label()

const std::string & zyppng::ProvideMediaSpec::label | ( |  | ) | const

The label of the medium, this will be shown in case a media change is required

Definition at line 101 of file providespec.cc.

## ◆ setLabel()

ProvideMediaSpec & zyppng::ProvideMediaSpec::setLabel | ( | const std::string & | label | ) |

Changes the label of the medium

Definition at line 104 of file providespec.cc.

## ◆ medianr()

unsigned zyppng::ProvideMediaSpec::medianr | ( |  | ) | const

The media number the resource is located on.

Definition at line 110 of file providespec.cc.

## ◆ setMedianr()

ProvideMediaSpec & zyppng::ProvideMediaSpec::setMedianr | ( | unsigned | medianr | ) |

Individual manipulation of `medianr` (prefer setLocation).

Definition at line 113 of file providespec.cc.

## ◆ mediaFile()

zypp::filesystem::Pathname zyppng::ProvideMediaSpec::mediaFile | ( |  | ) | const

Returns the media validation file path. This can be empty if there is no file to validate.

Definition at line 119 of file providespec.cc.

## ◆ setMediaFile()

ProvideMediaSpec & zyppng::ProvideMediaSpec::setMediaFile | ( | const zypp::Pathname & | pName | ) |

Changes the media file to the name path pName.

Definition at line 122 of file providespec.cc.

## ◆ customHeaders() [1/2]

HeaderValueMap & zyppng::ProvideMediaSpec::customHeaders | ( |  | ) |

Returns a map of custom key->value pairs that can control special aspects of how all files are provided by the medium after it was attached

Definition at line 128 of file providespec.cc.

## ◆ customHeaders() [2/2]

const HeaderValueMap & zyppng::ProvideMediaSpec::customHeaders | ( |  | ) | const

Definition at line 131 of file providespec.cc.

## ◆ setCustomHeaderValue()

ProvideMediaSpec & zyppng::ProvideMediaSpec::setCustomHeaderValue | ( | const std::string & | key,
|  | const HeaderValueMap::Value & | val )

Set the custom header value identified by key to val

Definition at line 134 of file providespec.cc.

## ◆ addCustomHeaderValue()

ProvideMediaSpec & zyppng::ProvideMediaSpec::addCustomHeaderValue | ( | const std::string & | key,
|  | const HeaderValueMap::Value & | val )

Adds the custom header value val to the list of values identified by key

Definition at line 140 of file providespec.cc.

## ◆ isSameMedium() [1/2]

zypp::TriBool zyppng::ProvideMediaSpec::isSameMedium | ( | const ProvideMediaSpec & | other | ) | const

Definition at line 146 of file providespec.cc.

## ◆ isSameMedium() [2/2]

bool zyppng::ProvideMediaSpec::isSameMedium | ( | const zypp::MirroredOrigin & | originA,
|  | const ProvideMediaSpec & | specA,
|  | const zypp::MirroredOrigin & | originB,
|  | const ProvideMediaSpec & | specB )
| static

Definition at line 161 of file providespec.cc.

## Member Data Documentation

## ◆ _pimpl

zypp::RWCOW_pointer<Impl> zyppng::ProvideMediaSpec::_pimpl
| private

Implementation class.

Pointer to implementation.

Definition at line 90 of file providespec.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/providespec.h
- zypp-media/ng/providespec.cc